Agora RTC Objective-C API Reference Refactor

Data Fields
RemoteVideoStats Struct Reference

## Data Fields
uid_t | uid
int | delay
int | e2eDelay
int | width
int | height
int | receivedBitrate
int | decoderInputFrameRate
int | decoderOutputFrameRate
int | rendererOutputFrameRate
int | frameLossRate
int | packetLossRate
VIDEO_STREAM_TYPE | rxStreamType
int | totalFrozenTime
int | frozenRate
int | avSyncTimeMs
int | totalActiveTime
int | publishDuration
int | mosValue
unsigned int | rxVideoBytes

## Field Documentation

## ◆ uid

uid_t uid

The user ID of the remote user sending the video stream.

## ◆ delay

int delay

Deprecated: In scenarios where audio and video are synchronized, you can get the video delay data from `networkTransportDelay` and `jitterBufferDelay` in `RemoteAudioStats`. The video delay (ms).

Deprecated:
  Time delay (ms).

## ◆ e2eDelay

int e2eDelay

End-to-end video latency (ms). That is, the time elapsed from the video capturing on the remote user's end to the receiving and rendering of the video on the local user's end.

## ◆ width

int width

The width (pixels) of the video.

## ◆ height

int height

The height (pixels) of the video.

## ◆ receivedBitrate

int receivedBitrate

The bitrate (Kbps) of the remote video received since the last count.

## ◆ decoderInputFrameRate

int decoderInputFrameRate

The decoder input frame rate (fps) of the remote video.

## ◆ decoderOutputFrameRate

int decoderOutputFrameRate

The frame rate (fps) of decoding the remote video.

## ◆ rendererOutputFrameRate

int rendererOutputFrameRate

The frame rate (fps) of rendering the remote video.

## ◆ frameLossRate

int frameLossRate

The packet loss rate (%) of the remote video.

## ◆ packetLossRate

int packetLossRate

The packet loss rate (%) of the remote video after using the anti-packet-loss technology.

## ◆ rxStreamType

VIDEO_STREAM_TYPE rxStreamType

The type of the video stream. See `VIDEO_STREAM_TYPE`.

## ◆ totalFrozenTime

int totalFrozenTime

The total freeze time (ms) of the remote video stream after the remote user joins the channel. In a video session where the frame rate is set to no less than 5 fps, video freeze occurs when the time interval between two adjacent renderable video frames is more than 500 ms.

## ◆ frozenRate

int frozenRate

The total video freeze time as a percentage (%) of the total time the video is available. The video is considered available as long as that the remote user neither stops sending the video stream nor disables the video module after joining the channel.

## ◆ avSyncTimeMs

int avSyncTimeMs

The amount of time (ms) that the audio is ahead of the video.

Note
  If this value is negative, the audio is lagging behind the video.

## ◆ totalActiveTime

int totalActiveTime

The total active time (ms) of the video. As long as the remote user or host neither stops sending the video stream nor disables the video module after joining the channel, the video is available.

## ◆ publishDuration

int publishDuration

The total duration (ms) of the remote video stream.

## ◆ mosValue

int mosValue

The quality of the remote video stream in the reported interval. The quality is determined by the Agora real-time video MOS (Mean Opinion Score) measurement method. The return value range is [0, 500]. Dividing the return value by 100 gets the MOS score, which ranges from 0 to 5. The higher the score, the better the video quality.

Note
  For textured video data, this parameter always returns 0.

## ◆ rxVideoBytes

unsigned int rxVideoBytes

The total number of video bytes received (bytes), inluding the FEC bytes, represented by an aggregate value.